# define name of the scl
%global scl devpi21
%scl_package %scl
 
%{!?scl_python:%global scl_python python33}
%{!?scl_prefix_python:%global scl_prefix_python %{scl_python}-}
 
%global __os_install_post %{%{scl_python}_os_install_post}
%global __python_requires %{%{scl_python}_python_requires}
 
%global devpi21_sitelib %(echo %{python33python_sitelib} | sed 's|%{scl_python}|%{scl}|')
%global devpi21_sitearch %(echo %{python33python_sitearch} | sed 's|%{scl_python}|%{scl}|')

%global distutils_pth %(scl enable %{scl_python} "%{python33__python} -c 'import distutils, os; print(os.path.dirname(distutils.__file__))'")

 
Summary: Package that installs %scl
Name: %scl_name
Version: 1
Release: 3%{?dist}
License: GPLv2+
BuildRequires: scl-utils-build
# we need Python to create distutils.cfg file
BuildRequires: %{scl_prefix_python}python
# Always make sure that there is the python33-sclbuild
# package in the buildroot
BuildRequires: %{scl_prefix_python}scldevel
# Require python33-python-devel, we will need macros from that package
BuildRequires: %{scl_prefix_python}python-devel
 
%description
This is the main package for %scl Software Collection.
 
%package runtime
Summary: Package that handles %scl Software Collection.
Requires: scl-utils
Requires: %{scl_prefix_python}runtime
 
%description runtime
Package shipping essential scripts to work with %scl Software Collection.
 
%package build
Summary: Package shipping basic build configuration
Requires: scl-utils-build
# Require python33-scldevel so that there is always access
# to the %%scl_python and %%scl_prefix_python macros in builds for this Software
# Collection
Requires: %{scl_prefix_python}scldevel
 
%description build
Package shipping essential configuration macros to build %scl Software Collection.

%prep
%setup -c -T
 
%install
%scl_install
 
cat >> %{buildroot}%{_scl_scripts}/enable << EOF
. scl_source enable %{scl_python}
export PATH=%{_bindir}\${PATH:+:\${PATH}}
export PYTHONPATH=%{devpi21_sitelib}:%{devpi21_sitearch}\${PYTHONPATH:+:\${PYTHONPATH}}
EOF
 
mkdir -p %{buildroot}%{devpi21_sitelib}
mkdir -p %{buildroot}%{devpi21_sitearch}
 
cat >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl}-config << EOF
%%scl_package_override() %%{expand:%{?python33_os_install_post:%%global __os_install_post %%python33_os_install_post}
%%global __python_requires %%python33_python_requires
%%global __python_provides %%python33_python_provides
%%global __python %python33__python
%%global __python3 %python33__python
%%global python_sitelib %devpi21_sitelib
%%global python3_sitelib %devpi21_sitelib
%%global python_sitearch %devpi21_sitearch
%%global python3_sitearch %devpi21_sitearch
}
EOF
 
mkdir -p %{buildroot}%{distutils_pth}
cat >> %{buildroot}%{distutils_pth}/distutils.cfg << \EOF
[install]
install-purelib=%{devpi21_sitelib}
install-platlib=%{devpi21_sitearch}
install-scripts=%{_bindir}
EOF

%files
 
%files runtime
%scl_files
 
%scl_files
%devpi21_sitelib
%devpi21_sitearch
 
%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config
%{distutils_pth}/distutils.cfg
 
%changelog
* Wed Oct 29 2014 Slavek Kabrda <bkabrda@redhat.com> - 1-3
- Add PATH to variables modified in enable scriptlet.

* Mon Oct 27 2014 Slavek Kabrda <bkabrda@redhat.com> - 1-2
- Add install-scripts directive to distutils.cfg.

* Mon Oct 27 2014 Slavek Kabrda <bkabrda@redhat.com> - 1-1
- Initial build.
